import template from './index.twig'
import './script.js'
import notes from './README.md'
import { DemoData } from './demo/data-comp'

// const storyAsString = (story) => `<div class="emp-w-9/12 emp-mx-auto">${story}</div>`
// const storyAsNode = (story) => {
// 	const wrapper = document.createElement('div')
// 	wrapper.className = 'emp-w-9/12 emp-mx-auto'
// 	wrapper.appendChild(story)
// 	return wrapper
// }

export default {
	title: '<%= category %>/<%= nameUpperCamelCase %>',
	// decorators: [
	// 	(story) => {
	// 		const tale = story()
	// 		return typeof tale === 'string' ? storyAsString(tale) : storyAsNode(tale)
	// 	},
	// ],
}

const Template = (args, { loaded: { component } }) => component

const component = () => [
	async (data) => {
		return {
			component: await template({
				text: data.args.text,
			}),
		}
	},
]

export const <%= nameUpperCamelCase %> = Template.bind({})
<%= nameUpperCamelCase %>.loaders = component()
<%= nameUpperCamelCase %>.args = {
	...DemoData,
}
<%= nameUpperCamelCase %>.parameters = { notes: { markdown: notes } }
